/*  ___   ___  ___  _   _  ___   ___   ____ ___  ____  
 * / _ \ /___)/ _ \| | | |/ _ \ / _ \ / ___) _ \|    \ 
 *| |_| |___ | |_| | |_| | |_| | |_| ( (__| |_| | | | |
 * \___/(___/ \___/ \__  |\___/ \___(_)____)___/|_|_|_|
 *                  (____/ 
 *We will start with a simple ultrasonic range finder 
 *that measures the output distance to the serial monitor.
 * Tutorial URL http://osoyoo.com/2017/07/23/arduino-lesson-ultrasonic-sensor-hc-sr04/
 HC-SR04 Ping distance sensor:
 VCC to arduino 5v 
 GND to arduino GND
 Echo to Arduino pin 2 
 Trig to Arduino pin 3
 * CopyRight www.osoyoo.com
 */
#define echoPin 8
#define trigPin 7

void setup() {
  Serial.begin (9600);
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
}

void loop() {
  int distance;
 
 distance=watch();
    Serial.print("Distance = ");
    Serial.print(distance);
    Serial.println(" cm");
    delay(500);
   
}
int watch(){
  long echo_distance;
  digitalWrite(trigPin,LOW);
  delayMicroseconds(5);                                                                              
  digitalWrite(trigPin,HIGH);
  delayMicroseconds(15);
  digitalWrite(trigPin,LOW);
  echo_distance=pulseIn(echoPin,HIGH);
  echo_distance=echo_distance*0.01657; //how far away is the object in cm
  return  echo_distance;
}
